#ifndef MAIN_WINDOW_H_
#define MAIN_WINDOW_H_

#include <stdbool.h>

#define SWIPE_UNLOCK_PERCENTAGE 0.49
#define DEAFULT_BG_IMAGE "images/Default.jpg"

typedef void (*swipe_unlock_cb)(void);

bool create_main_window(void);
void destroy_main_window(void);
void add_main_window_callbacks(swipe_unlock_cb unlock_cb);
void del_main_window_callbacks(void);

void set_main_window_current_wallpaper(const char *file_path);

void activate_main_window_swipe_lock(void);
void deactivate_main_window_swipe_lock(void);

#endif /* MAIN_WINDOW_H_ */
