#ifndef SWIPE_LOCK_H_
#define SWIPE_LOCK_H_

#include <Elementary.h>

#define SWIPE_LOCK_EDJ_FILE_NAME "edje/swipe_lock.edj"

Evas_Object *_create_swipe_lock(Evas_Object *parent);

void _add_swipe_lock_callbacks(Evas_Object *swipe_lock, Edje_Signal_Cb swipe_drag_cb, Edje_Signal_Cb swipe_drag_end_cb);
void _del_swipe_lock_callbacks(Evas_Object *swipe_lock, Edje_Signal_Cb swipe_drag_cb, Edje_Signal_Cb swipe_drag_end_cb);
void _get_swipe_lock_drag_position(Evas_Object *swipe_lock, double *px, double *py);
void _reset_swipe_lock_drag(Evas_Object *swipe_lock);

#endif /* SWIPE_LOCK_H_ */
