#ifndef EDJE_DEFINITIONS_H_
#define EDJE_DEFINITIONS_H_

/*common definitions: */
#define LOCK_MAIN_GROUP "lock_main_group"
#define MAIN_TEXT_PART "main_text"
#define BACKGROUND_PART "background"

#define BACKGROUND_COLOR_R	0
#define BACKGROUND_COLOR_G	0
#define BACKGROUND_COLOR_B	0
#define BACKGROUND_COLOR_A	120

/*Swipe lock definitions: */
#define SWIPE_MAIN_TEXT_PART_TEXT "Swipe to unlock"

/*Swipe parts geometry: */
#define SWIPE_MAIN_TEXT_PART_REL1_X 0.08
#define SWIPE_MAIN_TEXT_PART_REL1_Y 0.08
#define SWIPE_MAIN_TEXT_PART_REL2_X 0.92
#define SWIPE_MAIN_TEXT_PART_REL2_Y 0.92

/*Swipe programs signals/sources */
#define SWIPE_RESET_SIGNAL "swipe_reset"
#define SWIPE_RESET_SIGNAL_SOURCE "swipe_reset_signal_source"

#endif /* EDJE_DEFINITIONS_H_ */
